import { NamedUnit } from "../../NamedUnit.js";
import { UnitMatrix } from "../../UnitMatrix.js";

/**
 * SI derived unit of energy / work / heat. 1 J = 1 N·m = 1 kg·m^2 / s^2.
 * @type {NamedUnit}
 */
export const JOULE = new NamedUnit(
    'Joule',
    'J',
    'SI derived unit of energy / work / heat. 1 J = 1 N·m.',
    new UnitMatrix().set(2, 1, -2, 0, 0, 0, 0)
);
